QGIS Application - Feature request #9757

allow for users to disable feature clipping to extend on a per layer basis

2014-03-10 06:51 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 18303
Description

Currently, when a given feature is partially visible on the map canvas, it seems a clip to extend is applied to the feature before it's

rendered. While it makes a lot of sense performance-wise, it can be problematic with certain types of symbology.

For example, the centroid fill. If the feature is only partially shown on map canvas, the centroid fill point moves within the feature as it gets
clipped to extend (see symbology-clip.png). If a user relied on this symbology style to decorate the "absolute” centroid of a given feature,

the feature clipping process becomes problematic.

Not sure how (and even if) this deserves addressing, but as new interesting symbology styles are making way into QGIS, it's probably

worth looking into this.

Associated revisions

Revision 8b37ea2b - 2015-03-28 11:16 AM - Nyall Dawson

[FEATURE] Add option to symbology to prevent clipping of features

This option (located under the symbol advanced menu) disables the
automatic clipping of lines/polygons to the canvas extent. In

some cases this clipping results in unfavourable symbology (eg
centroid fills where the centroid must always be the actual

feature's centroid). (fix #9757)

History

#1 - 2014-03-10 06:51 PM - Mathieu Pellerin - nIRV
- File symbology_clip.zip added
- File symbology_clip.png added

#2 - 2015-03-28 03:55 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"8b37ea2b05a644c1c52ecf223ad8f67ca315b8df".
symbology_clip.png 52.9 KB 2014-03-10 Mathieu Pellerin - nIRV
